Bug 12906 - Show shipment date in invoice search result list
Summary: Show shipment date in invoice search result list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-11 09:17 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12906: Show shipment date in invoice search result list (2.51 KB, patch)
2015-06-08 02:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 12906: Show shipment date in invoice search result list (2.66 KB, patch)
2015-06-09 13:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 12906: Show shipment date in invoice search result list (2.71 KB, patch)
2015-06-16 16:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12906: DataTables: Use -1 to specify the last column (1.17 KB, patch)
2015-06-16 16:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-09-11 09:17:13 UTC
It would be nice if the shipment date was included in the result list when searching invoices. This is the date most libraries enter, while the other dates (billing date and closing date) are not always used.
Comment 1 Katrin Fischer 2015-06-08 02:31:27 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-06-09 13:31:10 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-16 16:48:27 UTC
Created attachment 40195 [details] [review]
Bug 12906: Show shipment date in invoice search result list

Patch adds the shipment as a new separate column to the
search results of the invoices search.

To test:
- Search for invoices in the acquisition module
- Verify the results table shows the shipment date
- Verify that sorting works correctly

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Jonathan Druart 2015-06-16 16:48:30 UTC
Created attachment 40196 [details] [review]
Bug 12906: DataTables: Use -1 to specify the last column

It will avoid further changes.

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 5 Katrin Fischer 2015-07-09 02:42:18 UTC
Thx for the follow-up Jonathan!
Comment 6 Tomás Cohen Arazi 2015-07-24 17:12:32 UTC
Patches pushed to master.

Thanks Katrina!